Skip to main content
GET
/
audits
/
{auditId}
/
controls
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listControls({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
        "externalId": "CRY-104",
        "name": "Data encryption utilized",
        "description": "Access reviews are performed to ensure that access is appropriate for the user's role and responsibilities.",
        "source": "Vanta",
        "domains": [
          "CRYPTOGRAPHIC_PROTECTIONS"
        ],
        "owner": {
          "id": "65e1efde08e8478f143a8ff9",
          "emailAddress": "example-person@email.com",
          "displayName": "Example Owner"
        },
        "framework": "soc2",
        "role": null,
        "customFields": [],
        "sections": [
          {
            "framework": "SOC 2",
            "name": "CC 1.1",
            "principle": {
              "id": "CC 1.0",
              "name": "Control Environment"
            }
          }
        ],
        "creationDate": null,
        "modificationDate": null
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required